Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2011-1146
Description:libvirt.c in the API in Red Hat libvirt 0.8.8 does not properly restrict operations in a read-only connection, which allows remote attackers to cause a denial of service (host OS crash) or possibly execute arbitrary code via a (1) virNodeDeviceDettach, (2) virNodeDeviceReset, (3) virDomainRevertToSnapshot, (4) virDomainSnapshotDelete, (5) virNodeDeviceReAttach, or (6) virConnectDomainXMLToNative call, a different vulnerability than CVE-2008-5086.
Test IDs: 1.3.6.1.4.1.25623.1.0.69330   1.3.6.1.4.1.25623.1.0.69291   1.3.6.1.4.1.25623.1.0.69237   1.3.6.1.4.1.25623.1.0.69376   1.3.6.1.4.1.25623.1.0.69506   1.3.6.1.4.1.25623.1.0.69630   1.3.6.1.4.1.25623.1.0.122206   1.3.6.1.4.1.25623.1.0.880511   1.3.6.1.4.1.25623.1.0.840620   1.3.6.1.4.1.25623.1.0.881442   1.3.6.1.4.1.25623.1.0.870692  
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2011-1146
BugTraq ID: 46820
http://www.securityfocus.com/bid/46820
Debian Security Information: DSA-2194 (Google Search)
http://www.debian.org/security/2011/dsa-2194
http://lists.fedoraproject.org/pipermail/package-announce/2011-March/056209.html
http://openwall.com/lists/oss-security/2011/03/09/3
http://openwall.com/lists/oss-security/2011/03/10/5
RedHat Security Advisories: RHSA-2011:0391
http://www.redhat.com/support/errata/RHSA-2011-0391.html
http://www.securitytracker.com/id?1025262
http://secunia.com/advisories/43670
http://secunia.com/advisories/43780
http://secunia.com/advisories/43897
http://secunia.com/advisories/43917
http://secunia.com/advisories/44069
SuSE Security Announcement: openSUSE-SU-2011:0311 (Google Search)
http://lists.opensuse.org/opensuse-updates/2011-04/msg00022.html
http://www.ubuntu.com/usn/USN-1094-1
http://www.vupen.com/english/advisories/2011/0694
http://www.vupen.com/english/advisories/2011/0700
http://www.vupen.com/english/advisories/2011/0794
http://www.vupen.com/english/advisories/2011/0805
XForce ISS Database: libvirt-apicalls-dos(66012)
https://exchange.xforce.ibmcloud.com/vulnerabilities/66012




© 1998-2021 E-Soft Inc. All rights reserved.